AI Driving Olympics Home Challenges Submissions Jobs

Submission 3136

Submission3136
Competingadmin aborted
Challengeaido2-LF-real-validation
UserAmaurX
Date submitted
Completeincomplete
Result
Jobs
Nexteval0
User labelchallenge-aido_LF-template-random
Admin priority50
User priority50

Evaluation jobs for this submission

Job IDsubmissionuseruser labelchallengestepstatusup to dateevaluatordate starteddate completeddurationmessage
222243136AmaurXchallenge-aido_LF-template-randomaido2-LF-real-validationeval0host-erroryes-0:00:10
Error while running [...]
Error while running Docker Compose:

Could not run ['docker-compose', '-p', 'job22224-17053', 'up', '-d', '--renew-anon-volumes']:

   >  Command '['docker-compose', '-p', 'job22224-17053', 'up', '-d', '--renew-anon-volumes']' returned non-zero exit status 1.

stdout | 

stderr | Creating network "job22224-17053_evaluation" with the default driver
stderr | Creating volume "job22224-17053_fifos" with default driver
stderr | Creating job22224-17053_evaluator_1 ...
stderr | 
stderr | Creating job22224-17053_evaluator_1 ... error
stderr | 
stderr | ERROR: for job22224-17053_evaluator_1  Cannot start service evaluator: driver failed programming external connectivity on endpoint job22224-17053_evaluator_1 (971777d72e3ac99b4630c643203542eb1c7d8a71560200dcaa0085c66e0696a9): Bind for 0.0.0.0:8005 failed: port is already allocated
stderr | 
stderr | ERROR: for evaluator  Cannot start service evaluator: driver failed programming external connectivity on endpoint job22224-17053_evaluator_1 (971777d72e3ac99b4630c643203542eb1c7d8a71560200dcaa0085c66e0696a9): Bind for 0.0.0.0:8005 failed: port is already allocated
stderr | Encountered errors while bringing up the project.
stderr | 
(hidden)
219303136AmaurXchallenge-aido_LF-template-randomaido2-LF-real-validationhw-evaluationtimeoutyes-2:05:40
I can see how the jo [...]
I can see how the job 21930 is timeout because passed 7540 seconds and the timeout is 7200.0.
(hidden)
219283136AmaurXchallenge-aido_LF-template-randomaido2-LF-real-validationhw-evaluationhost-erroryes-0:00:30
Uncaught exception: [...]
Uncaught exception:
Traceback (most recent call last):
  File "/project/src/duckietown_challenges_runner/runner.py", line 1057, in download_artefacts
    get_file_from_cache(fn, sha256hex)
  File "/project/src/duckietown_challenges_runner/runner_cache.py", line 27, in get_file_from_cache
    raise KeyError(msg)
KeyError: 'Hash not in cache'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/project/src/duckietown_challenges_runner/runner.py", line 488, in get_cr
    submission_id=submission_id, timeout_sec=timeout_sec)
  File "/project/src/duckietown_challenges_runner/runner.py", line 529, in run_single
    prepare_dir(wd, aws_config, steps2artefacts)
  File "/project/src/duckietown_challenges_runner/runner.py", line 799, in prepare_dir
    download_artefacts(aws_config, steps2artefacts, previous_steps_dir)
  File "/project/src/duckietown_challenges_runner/runner.py", line 1081, in download_artefacts
    raise CouldNotDownloadAll(msg)
duckietown_challenges_runner.runner.CouldNotDownloadAll: Not in cache and no way to download
(hidden)
218263136AmaurXchallenge-aido_LF-template-randomaido2-LF-real-validationhw-evaluationabortedyes-0:38:03(hidden)
driven_lanedir_consec_median1.16
survival_time_median3


other stats
01_start
details{"1_01attemptDate": {"name": "1_01attemptDate", "output": "2019-05-08", "readable_string": "Attempt date"}, "1_03autolabName": {"name": "1_03autolabName", "output": "ETHZ", "readable_string": "Autolab"}, "1_04operatorName": {"name": "1_04operatorName", "output": "Gian", "readable_string": "Operator's name"}}
02_autolab_setup
details{"2_04ledLightsOn": {"name": "2_04ledLightsOn", "output": true, "readable_string": "Ceiling led lightbulbs are on with a bright white color"}, "2_01mapConformity": {"name": "2_01mapConformity", "output": true, "readable_string": "Conformity of the map"}, "2_05curtainsClosed": {"name": "2_05curtainsClosed", "output": true, "readable_string": "The curtains are closed"}, "2_02pairedHostnames": {"name": "2_02pairedHostnames", "output": true, "readable_string": "Pairing hostnames to duckiebot-IDs"}, "2_03ceilingLightsOff": {"name": "2_03ceilingLightsOff", "output": true, "readable_string": "Ceiling default neon lights are off"}, "2_multi01_duckiebot_select_autobot01": {"name": "2_multi01_duckiebot_select_autobot01", "output": "not_used", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot02": {"name": "2_multi01_duckiebot_select_autobot02", "output": "active", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot03": {"name": "2_multi01_duckiebot_select_autobot03", "output": "not_used", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot04": {"name": "2_multi01_duckiebot_select_autobot04", "output": "not_used", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot06": {"name": "2_multi01_duckiebot_select_autobot06", "output": "not_used", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot08": {"name": "2_multi01_duckiebot_select_autobot08", "output": "not_used", "readable_string": "Selection among available duckiebot"}}
03_setup_validation
details{"3_11freeMemory": {"name": "3_11freeMemory", "output": true, "readable_string": "All agents have enough free memory"}, "3_01robotsAreOn": {"name": "3_01robotsAreOn", "output": true, "readable_string": "All duckiebots are on"}, "3_09agentsPinged": {"name": "3_09agentsPinged", "output": true, "readable_string": "All agents have been pinged"}, "3_03duckiesOnBots": {"name": "3_03duckiesOnBots", "output": true, "readable_string": "All autobots received yeelow or black duckies (according to active of passive)"}, "3_08attemptNumber": {"name": "3_08attemptNumber", "output": "1", "readable_string": "Attempt number"}, "3_04batteryChecked": {"name": "3_04batteryChecked", "output": true, "readable_string": "All duckiebots have enough battery"}, "3_06agentPlacement": {"name": "3_06agentPlacement", "output": true, "readable_string": "Placement of the duckiebots"}, "3_02aprilTagsPlates": {"name": "3_02aprilTagsPlates", "output": true, "readable_string": "All duckiebots have their april tag backplate, in the right orientation"}, "3_05agentsPluggedIn": {"name": "3_05agentsPluggedIn", "output": true, "readable_string": "All non-movable agents (watchtowers and trafficlights) are plugged in (alimentation and ethernet)"}, "3_10readWriteMemory": {"name": "3_10readWriteMemory", "output": true, "readable_string": "All agents have been tested for read and write on their logging device (USB stick)"}, "3_07lightCheckedReport": {"name": "3_07lightCheckedReport", "output": "", "readable_string": "Report on light conditions"}}
04_initialization
details{"4_01duckiebotInterfaceStarted": {"name": "4_01duckiebotInterfaceStarted", "output": true, "readable_string": "All duckiebots have stared their duckiebot interface container"}, "4_02submissionContainerLoaded": {"name": "4_02submissionContainerLoaded", "output": true, "readable_string": "All active duckiebots have loaded the submission container"}, "4_04agentsStartedLoggerContainers": {"name": "4_04agentsStartedLoggerContainers", "output": true, "readable_string": "All agents have loaded and started the logger container"}, "4_03passiveDuckiebotsContainerLoaded": {"name": "4_03passiveDuckiebotsContainerLoaded", "output": false, "readable_string": "All passive duckiebots have loaded the passive behavior container"}}
05_confirmation
details{"5_01operatorIsReady": {"name": "5_01operatorIsReady", "output": true, "readable_string": "The operator is ready to start"}, "5_02serverInitializationError": {"name": "5_02serverInitializationError", "output": "", "readable_string": "The server initialization error message"}}
06_execution
details{"6_06visualCheck": {"name": "6_06visualCheck", "output": "", "readable_string": "Comment from operator on visual check of launching"}, "6_03beginTimeStamp": {"name": "6_03beginTimeStamp", "output": "1557332453.090660", "readable_string": "Beginning timestamp (useful for attempt evaluation)"}, "6_01launchedAttempt": {"name": "6_01launchedAttempt", "output": true, "readable_string": "The attempt was successfully launched"}, "6_02serverLaunchError": {"name": "6_02serverLaunchError", "output": "", "readable_string": "The server launch error message"}, "6_09watchtowerLoggings": {"name": "6_09watchtowerLoggings", "output": false, "readable_string": "Watchtowers started logging data"}, "6_10serverLoggingCheck": {"name": "6_10serverLoggingCheck", "output": "", "readable_string": "Logging error message from the server"}, "6_07activeDuckiebotLogging": {"name": "6_07activeDuckiebotLogging", "output": false, "readable_string": "Active duckiebots started logging data"}, "6_08passiveDuckiebotLogging": {"name": "6_08passiveDuckiebotLogging", "output": false, "readable_string": "Passive duckiebots started logging data"}, "6_04activeDuckiebotsAreRunningVisualCheck": {"name": "6_04activeDuckiebotsAreRunningVisualCheck", "output": true, "readable_string": "Active duckiebots started moving after launch"}, "6_05passiveDuckiebotsAreRunningVisualCheck": {"name": "6_05passiveDuckiebotsAreRunningVisualCheck", "output": false, "readable_string": "Passive duckiebots started moving after launch"}}
07_monitoring_and_termination
details{"7_05errorReason": {"name": "7_05errorReason", "output": "no_error", "readable_string": "Reason for error"}, "7_01endTimeStamp": {"name": "7_01endTimeStamp", "output": "1557332467.218933", "readable_string": "end of the experiment timestamp"}, "7_03failureReason": {"name": "7_03failureReason", "output": "no_failure", "readable_string": "Reason for failure"}, "7_06errorComments": {"name": "7_06errorComments", "output": "", "readable_string": "Comment on error reason"}, "7_02attemptSuccess": {"name": "7_02attemptSuccess", "output": "success", "readable_string": "Outcome of the attempt"}, "7_04failureComments": {"name": "7_04failureComments", "output": "", "readable_string": "Comment on failure reason"}, "7_07outcomechecking": {"name": "7_07outcomechecking", "output": false, "readable_string": "Checked that the outcome matched the given reasons"}}
08_retrieving_and_checking_logs
details{"8_01bagsCopied": {"name": "8_01bagsCopied", "output": true, "readable_string": "All bags were successfully copied"}, "8_03bagsClipped": {"name": "8_03bagsClipped", "output": true, "readable_string": "All bags were clipped with the time stamps"}, "8_02bagsVerified": {"name": "8_02bagsVerified", "output": true, "readable_string": "The contents of all bags was verified"}, "8_04agentsCleaned": {"name": "8_04agentsCleaned", "output": true, "readable_string": "All agents were cleaned from bags"}}
09_evaluation
details{"9_02timeTravelled": {"name": "9_02timeTravelled", "output": "3", "readable_string": "How many seconds did the Duckiebot successfully travel"}, "9_01tilesTravelled": {"name": "9_01tilesTravelled", "output": "2", "readable_string": "How many tiles did the Duckiebot successfully travel"}}
10_saving_data
details{"10_01dataIpfsHash": {"name": "10_01dataIpfsHash", "output": "not ready yet", "readable_string": "IPFS hash of the experiment saving_data"}, "10_04autolabCleaned": {"name": "10_04autolabCleaned", "output": true, "readable_string": "Autolab was cleaned after the end of the experiment"}, "10_02dataPinningCheck": {"name": "10_02dataPinningCheck", "output": true, "readable_string": "The data was pinned at a permanent storage unit"}, "10_03dataClearingCheck": {"name": "10_03dataClearingCheck", "output": true, "readable_string": "The data was cleared from the local storage"}}
215913136AmaurXchallenge-aido_LF-template-randomaido2-LF-real-validationhw-evaluationabortedno-0:00:11
Error while running [...]
Error while running Docker Compose:

Could not run ['docker-compose', '-p', 'job21591-930142', 'up', '-d', '--renew-anon-volumes']:

   >  Command '['docker-compose', '-p', 'job21591-930142', 'up', '-d', '--renew-anon-volumes']' returned non-zero exit status 1.

stdout | 

stderr | Creating network "job21591-930142_evaluation" with the default driver
stderr | Creating volume "job21591-930142_fifos" with default driver
stderr | Creating job21591-930142_evaluator_1 ...
stderr | 
stderr | Creating job21591-930142_evaluator_1 ... error
stderr | 
stderr | ERROR: for job21591-930142_evaluator_1  Cannot start service evaluator: driver failed programming external connectivity on endpoint job21591-930142_evaluator_1 (d41799dd8727013f25deca96efc9ad57caf2d3240a7a685eaae98e22c81b08d7): Bind for 0.0.0.0:8005 failed: port is already allocated
stderr | 
stderr | ERROR: for evaluator  Cannot start service evaluator: driver failed programming external connectivity on endpoint job21591-930142_evaluator_1 (d41799dd8727013f25deca96efc9ad57caf2d3240a7a685eaae98e22c81b08d7): Bind for 0.0.0.0:8005 failed: port is already allocated
stderr | Encountered errors while bringing up the project.
stderr | 
(hidden)
215443136AmaurXchallenge-aido_LF-template-randomaido2-LF-real-validationhw-evaluationabortedno-0:00:10
Error while running [...]
Error while running Docker Compose:

Could not run ['docker-compose', '-p', 'job21544-930251', 'up', '-d', '--renew-anon-volumes']:

   >  Command '['docker-compose', '-p', 'job21544-930251', 'up', '-d', '--renew-anon-volumes']' returned non-zero exit status 1.

stdout | 

stderr | Creating network "job21544-930251_evaluation" with the default driver
stderr | Creating volume "job21544-930251_fifos" with default driver
stderr | Creating job21544-930251_evaluator_1 ...
stderr | 
stderr | Creating job21544-930251_evaluator_1 ... error
stderr | 
stderr | ERROR: for job21544-930251_evaluator_1  Cannot start service evaluator: driver failed programming external connectivity on endpoint job21544-930251_evaluator_1 (74b5d3349eaf9063e67d7ff6a54d925a3bdfad3c7e371020d2c1543d7b79bc19): Bind for 0.0.0.0:8005 failed: port is already allocated
stderr | 
stderr | ERROR: for evaluator  Cannot start service evaluator: driver failed programming external connectivity on endpoint job21544-930251_evaluator_1 (74b5d3349eaf9063e67d7ff6a54d925a3bdfad3c7e371020d2c1543d7b79bc19): Bind for 0.0.0.0:8005 failed: port is already allocated
stderr | Encountered errors while bringing up the project.
stderr | 
(hidden)
215303136AmaurXchallenge-aido_LF-template-randomaido2-LF-real-validationhw-evaluationabortedno-0:00:11
Error while running [...]
Error while running Docker Compose:

Could not run ['docker-compose', '-p', 'job21530-560568', 'up', '-d', '--renew-anon-volumes']:

   >  Command '['docker-compose', '-p', 'job21530-560568', 'up', '-d', '--renew-anon-volumes']' returned non-zero exit status 1.

stdout | 

stderr | Creating network "job21530-560568_evaluation" with the default driver
stderr | Creating volume "job21530-560568_fifos" with default driver
stderr | Creating job21530-560568_evaluator_1 ...
stderr | 
stderr | Creating job21530-560568_evaluator_1 ... error
stderr | 
stderr | ERROR: for job21530-560568_evaluator_1  Cannot start service evaluator: driver failed programming external connectivity on endpoint job21530-560568_evaluator_1 (8d529298130cdea750c27b7733fadecab7a7a81fd05b08a9c9046d7022745812): Bind for 0.0.0.0:8005 failed: port is already allocated
stderr | 
stderr | ERROR: for evaluator  Cannot start service evaluator: driver failed programming external connectivity on endpoint job21530-560568_evaluator_1 (8d529298130cdea750c27b7733fadecab7a7a81fd05b08a9c9046d7022745812): Bind for 0.0.0.0:8005 failed: port is already allocated
stderr | Encountered errors while bringing up the project.
stderr | 
(hidden)